Browsable Browsable Docs

Yelp API

Scrape public Yelp search results by query and optional location. The official Yelp Fusion API requires credentials.

POST /v1/yelp/search

Request Parameters

Name In Type Required Description
query body string Yes Search query.
cursor body string No Cursor returned as next_cursor from the previous response.
limit body integer No Maximum number of results to return.
location body string No Location filter.

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/yelp/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"ramen","cursor":"cursor-page-1","limit":25,"location":"Austin, TX"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
done

Sync

curl -X POST "https://api.browsable.app/v1/yelp/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query":"ramen","cursor":"cursor-page-1","limit":25,"location":"Austin, TX","_run":{"async":false}}'